#
# spec file for package python3-python-editor
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-python-editor
Version:        1.0.1
Release:        2.2
Summary:        Programmatically open an editor, capture the result
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://github.com/fmoo/python-editor
Source:         https://files.pythonhosted.org/packages/source/p/python-editor/python-editor-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
python-editor is a library that provides the editor module for
programmatically interfacing with your system’s EDITOR.

%prep
%setup -q -n python-editor-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE README.md
%{python3_sitelib}/*

%changelog
* Sat Jun 25 2016 arun@gmx.de
- update to version 1.0.1:
  * Bump version to 1.0.1
  * Bump release classifier from beta -> stable
  * Postprocess README.md with pypandoc if available for
    `long_description`
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Sat Apr  2 2016 arun@gmx.de
- update to version 1.0:
  * Added newline to end of test.py
  * Detect tty and add helper function
  * Default to not using tty
  * Use branch instead of ternary operator
  * Use /dev/tty by default
* Wed Jan 13 2016 toddrme2178@gmail.com
- Initial python 3 version.
* Wed Jan 13 2016 toddrme2178@gmail.com
- Update to 0.5
  * Add "vim.basic" and "vim.tiny" to editors
  * Check editor from path (and traverse symlinks)
- Update to 0.4
  * Added MANIFEST file to include README.md and LICENSE file in
    pypi tarball
* Fri Aug 21 2015 tbechtold@suse.com
- Initial packaging (version 0.3)
